Page MenuHomePhabricator

SelectionDAG: Make Properties a field of SDPatternOperator
ClosedPublic

Authored by arsenm on Feb 8 2016, 7:57 PM.

Details

Reviewers
resistor
Summary

Currently you can't specify node properties like commutativity on
a PatFrag. If you want to create a PatFrag on a commutative node
with a hasOneUse predicate, this enables you to specify that the
PatFrag is also commutable.

Diff Detail

Event Timeline

arsenm updated this revision to Diff 47291.Feb 8 2016, 7:57 PM
arsenm retitled this revision from to SelectionDAG: Make Properties a field of SDPatternOperator.
arsenm updated this object.
arsenm added a subscriber: llvm-commits.
resistor accepted this revision.Feb 9 2016, 9:49 PM
resistor added a reviewer: resistor.
resistor added a subscriber: resistor.

LGTM.

This revision is now accepted and ready to land.Feb 9 2016, 9:49 PM
arsenm closed this revision.Feb 10 2016, 10:45 AM

r260404